com.microfocus.awm.meta.impl

## Class RToolInParameterUnresolved

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.DynamicObjectImpl
          - - com.microfocus.awm.meta.impl.RToolParameterImpl
            - - com.microfocus.awm.meta.impl.RToolInParameterImpl
              - - com.microfocus.awm.meta.impl.RToolInParameterUnresolved

- All Implemented Interfaces:
    AWMObject, DynamicObject, IFunctionPackageDefinable, RToolInParameter, RToolParameter, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

      public class RToolInParameterUnresolved
      extends RToolInParameterImpl

  Extension of `RToolParameterImpl` used for references to tool parameter which are not resolved at runtime, due to absence of their function package. It holds a static parameter index in order to recreate a proper URI fragment during serialization.
  Author:
    RalfP
  See Also:
    `TaurusXMLHelper.getHREF(org.eclipse.emf.ecore.EObject)`, `TaurusResourceImpl.getEObject(String)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RToolInParameterUnresolved(java.lang.String pToolDescrID, int pIndex)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Gets the index of the parameter (equivalent to the original index in its EList).
    `java.lang.String` | `getToolDescriptorID()` Gets the parameter's parent tool descriptor ID.

    - ### Methods inherited from class com.microfocus.awm.meta.impl.RToolInParameterImpl

      `basicSetParameterEnabledCondition, basicSetParameterVisibleCondition, eGet, eInverseRemove, eIsSet, eSet, eUnset, getDefaultValue, getLabelFromHierarchy, getParameterEnabledCondition, getParameterFrom, getParameterVisibleCondition, getStaticValue, getUiForm, getUiHelpText, getUiTab, getUiToolTip, isRemoved, isSetParameterFrom, isSetUiEditable, isSetUiGenericAllowed, isSetUiMandatory, isSetUiMultiSelection, isUiEditable, isUiGenericAllowed, isUiMandatory, isUiMultiSelection, setDefaultValue, setParameterEnabledCondition, setParameterFrom, setParameterVisibleCondition, setRemoveParm, setStaticValue, setUiEditable, setUiForm, setUiGenericAllowed, setUiHelpText, setUiMandatory, setUiMultiSelection, setUiTab, setUiToolTip, toString, unsetParameterFrom, unsetUiEditable, unsetUiGenericAllowed, unsetUiMandatory, unsetUiMultiSelection`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.RToolParameterImpl

      `basicGetTargetIDFile, basicGetTargetIDParm, eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getComplexAttribute, getExtensionID, getLabel, getParsedCategory, getSeqNo, getTargetIDFile, getTargetIDParm, getType, getUiCategory, isMassProcessing, isSetSeqNo, isSetType, isSetUiResizable, isUiResizable, setExtensionID, setLabel, setMassProcessing, setSeqNo, setTargetIDFile, setTargetIDParm, setType, setUiCategory, setUiResizable, unsetSeqNo, unsetType, unsetUiResizable`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.DynamicObjectImpl

      `getComplexAttributes, getDynamicAttributes, getDynamicValue, setDynamicValue`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.RToolParameter

      `getComplexAttribute, getLabel, getParsedCategory, getSeqNo, getTargetIDFile, getTargetIDParm, getType, getUiCategory, isMassProcessing, isSetSeqNo, isSetType, isSetUiResizable, isUiResizable, setLabel, setMassProcessing, setSeqNo, setTargetIDFile, setTargetIDParm, setType, setUiCategory, setUiResizable, unsetSeqNo, unsetType, unsetUiResizable`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.DynamicObject

      `getComplexAttributes, getDynamicAttributes, getDynamicValue, setDynamicValue`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Constructor Detail

    - #### RToolInParameterUnresolved

          public RToolInParameterUnresolved(java.lang.String pToolDescrID,
                                            int pIndex)

      Constructor.
      Parameters:
        `pToolDescrID` - ID of the parameter's parent tool descriptor
        `pIndex` - the index of the parameter (equivalent to the original index in its EList)

  - ### Method Detail

    - #### getToolDescriptorID

          public java.lang.String getToolDescriptorID()

      Gets the parameter's parent tool descriptor ID.
      Returns:
        the tool descriptor ID

    - #### getIndex

          public int getIndex()

      Gets the index of the parameter (equivalent to the original index in its EList).
      Returns:
        the parameter index

Copyright © 2015 Micro Focus GmbH. All rights reserved.